package merchant

import (
	"context"

	"kami/internal/service"

	"kami/api/merchant/v1"
)

func (c *ControllerV1) MerchantDeployDelete(ctx context.Context, req *v1.MerchantDeployDeleteReq) (res *v1.MerchantDeployDeleteRes, err error) {
	s := service.MerchantDeployInfo()
	err = s.Delete(ctx, req.MerchantUid, req.SingleRoadUid)
	return
}
